openSUSE Security Update : python (openSUSE-2016-906)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

Python was updated to fix three security issues.

The following vulnerabilities were fixed :

- CVE-2016-0772: TLS stripping attack on smtplib
(bsc#984751)

- CVE-2016-5636: zipimporter heap overflow (bsc#985177)

- CVE-2016-5699: httplib header injection (bsc#985348)

This update also includes all upstream bug fixes and improvements in
Python 2.7.12.

It also includes the following packaging changes :

- reintroduce support for CA directory path

The following tracked packaging issues were fixed :

- broken overflow checks (bsc#964182)

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=964182
https://bugzilla.opensuse.org/show_bug.cgi?id=984751
https://bugzilla.opensuse.org/show_bug.cgi?id=985177
https://bugzilla.opensuse.org/show_bug.cgi?id=985348

Solution :

Update the affected python packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 92595 ()

Bugtraq ID:

CVE ID: CVE-2016-0772
CVE-2016-5636
CVE-2016-5699

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now